/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Type, markType } from "igniteui-angular-core";
import { CT_PositiveFixedPercentage } from "./CT_PositiveFixedPercentage";
import { CT_FixedPercentage } from "./CT_FixedPercentage";
import { CT_PositivePercentage } from "./CT_PositivePercentage";
import { CT_Percentage } from "./CT_Percentage";
import { CT_ComplementTransform } from "./CT_ComplementTransform";
import { CT_GrayscaleTransform } from "./CT_GrayscaleTransform";
import { CT_PositiveFixedAngle } from "./CT_PositiveFixedAngle";
import { CT_Angle } from "./CT_Angle";
import { CT_InverseTransform } from "./CT_InverseTransform";
/**
 * @hidden
 */
export let IEG_ColorTransform_$type = new Type(null, 'IEG_ColorTransform');
/**
 * @hidden
 */
export let IEG_ColorTransformVisitor$2_$type = new Type(null, 'IEG_ColorTransformVisitor$2');
/**
 * @hidden
 */
export class ColorTransform_Alpha extends CT_PositiveFixedPercentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_Alpha$i(this, b);
    }
}
ColorTransform_Alpha.$t = markType(ColorTransform_Alpha, 'ColorTransform_Alpha', CT_PositiveFixedPercentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_AlphaOff extends CT_FixedPercentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_AlphaOff$i(this, b);
    }
}
ColorTransform_AlphaOff.$t = markType(ColorTransform_AlphaOff, 'ColorTransform_AlphaOff', CT_FixedPercentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_AlphaMod extends CT_PositivePercentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_AlphaMod$i(this, b);
    }
}
ColorTransform_AlphaMod.$t = markType(ColorTransform_AlphaMod, 'ColorTransform_AlphaMod', CT_PositivePercentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_Blue extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_Blue$i(this, b);
    }
}
ColorTransform_Blue.$t = markType(ColorTransform_Blue, 'ColorTransform_Blue', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_BlueOff extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_BlueOff$i(this, b);
    }
}
ColorTransform_BlueOff.$t = markType(ColorTransform_BlueOff, 'ColorTransform_BlueOff', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_BlueMod extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_BlueMod$i(this, b);
    }
}
ColorTransform_BlueMod.$t = markType(ColorTransform_BlueMod, 'ColorTransform_BlueMod', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_Comp extends CT_ComplementTransform {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_Comp$i(this, b);
    }
}
ColorTransform_Comp.$t = markType(ColorTransform_Comp, 'ColorTransform_Comp', CT_ComplementTransform.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_Gray extends CT_GrayscaleTransform {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_Gray$i(this, b);
    }
}
ColorTransform_Gray.$t = markType(ColorTransform_Gray, 'ColorTransform_Gray', CT_GrayscaleTransform.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_Green extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_Green$i(this, b);
    }
}
ColorTransform_Green.$t = markType(ColorTransform_Green, 'ColorTransform_Green', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_GreenOff extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_GreenOff$i(this, b);
    }
}
ColorTransform_GreenOff.$t = markType(ColorTransform_GreenOff, 'ColorTransform_GreenOff', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_GreenMod extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_GreenMod$i(this, b);
    }
}
ColorTransform_GreenMod.$t = markType(ColorTransform_GreenMod, 'ColorTransform_GreenMod', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_Hue extends CT_PositiveFixedAngle {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_Hue$i(this, b);
    }
}
ColorTransform_Hue.$t = markType(ColorTransform_Hue, 'ColorTransform_Hue', CT_PositiveFixedAngle.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_HueOff extends CT_Angle {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_HueOff$i(this, b);
    }
}
ColorTransform_HueOff.$t = markType(ColorTransform_HueOff, 'ColorTransform_HueOff', CT_Angle.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_HueMod extends CT_PositivePercentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_HueMod$i(this, b);
    }
}
ColorTransform_HueMod.$t = markType(ColorTransform_HueMod, 'ColorTransform_HueMod', CT_PositivePercentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_Inv extends CT_InverseTransform {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_Inv$i(this, b);
    }
}
ColorTransform_Inv.$t = markType(ColorTransform_Inv, 'ColorTransform_Inv', CT_InverseTransform.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_Lum extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_Lum$i(this, b);
    }
}
ColorTransform_Lum.$t = markType(ColorTransform_Lum, 'ColorTransform_Lum', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_LumOff extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_LumOff$i(this, b);
    }
}
ColorTransform_LumOff.$t = markType(ColorTransform_LumOff, 'ColorTransform_LumOff', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_LumMod extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_LumMod$i(this, b);
    }
}
ColorTransform_LumMod.$t = markType(ColorTransform_LumMod, 'ColorTransform_LumMod', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_Red extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_Red$i(this, b);
    }
}
ColorTransform_Red.$t = markType(ColorTransform_Red, 'ColorTransform_Red', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_RedOff extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_RedOff$i(this, b);
    }
}
ColorTransform_RedOff.$t = markType(ColorTransform_RedOff, 'ColorTransform_RedOff', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_RedMod extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_RedMod$i(this, b);
    }
}
ColorTransform_RedMod.$t = markType(ColorTransform_RedMod, 'ColorTransform_RedMod', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_Sat extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_Sat$i(this, b);
    }
}
ColorTransform_Sat.$t = markType(ColorTransform_Sat, 'ColorTransform_Sat', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_SatOff extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_SatOff$i(this, b);
    }
}
ColorTransform_SatOff.$t = markType(ColorTransform_SatOff, 'ColorTransform_SatOff', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_SatMod extends CT_Percentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_SatMod$i(this, b);
    }
}
ColorTransform_SatMod.$t = markType(ColorTransform_SatMod, 'ColorTransform_SatMod', CT_Percentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_Shade extends CT_PositiveFixedPercentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_Shade$i(this, b);
    }
}
ColorTransform_Shade.$t = markType(ColorTransform_Shade, 'ColorTransform_Shade', CT_PositiveFixedPercentage.$, [IEG_ColorTransform_$type]);
/**
 * @hidden
 */
export class ColorTransform_Tint extends CT_PositiveFixedPercentage {
    _accept$2$i($tArg, $tResult, a, b) {
        return a._visitColorTransform_Tint$i(this, b);
    }
}
ColorTransform_Tint.$t = markType(ColorTransform_Tint, 'ColorTransform_Tint', CT_PositiveFixedPercentage.$, [IEG_ColorTransform_$type]);
//# sourceMappingURL=IEG_ColorTransform_combined.js.map