/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { BuiltInFunctionBase } from "./BuiltInFunctionBase";
import { ExcelCalcValue } from "./ExcelCalcValue";
import { markType } from "igniteui-angular-core";
/**
 * @hidden
 */
var UltraCalcFunctionIsErr = /** @class */ (function (_super) {
    tslib_1.__extends(UltraCalcFunctionIsErr, _super);
    function UltraCalcFunctionIsErr() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    UltraCalcFunctionIsErr.prototype.evaluate = function (a, b) {
        var c = a.pop();
        return new ExcelCalcValue(c.isError && c.toErrorValue().code != 3);
    };
    UltraCalcFunctionIsErr.prototype.get_name = function () {
        return "iserr";
    };
    Object.defineProperty(UltraCalcFunctionIsErr.prototype, "name", {
        get: function () {
            return this.get_name();
        },
        enumerable: true,
        configurable: true
    });
    UltraCalcFunctionIsErr.prototype.get_minArgs = function () {
        return 1;
    };
    Object.defineProperty(UltraCalcFunctionIsErr.prototype, "minArgs", {
        get: function () {
            return this.get_minArgs();
        },
        enumerable: true,
        configurable: true
    });
    UltraCalcFunctionIsErr.prototype.get_maxArgs = function () {
        return 1;
    };
    Object.defineProperty(UltraCalcFunctionIsErr.prototype, "maxArgs", {
        get: function () {
            return this.get_maxArgs();
        },
        enumerable: true,
        configurable: true
    });
    UltraCalcFunctionIsErr.$t = markType(UltraCalcFunctionIsErr, 'UltraCalcFunctionIsErr', BuiltInFunctionBase.$);
    return UltraCalcFunctionIsErr;
}(BuiltInFunctionBase));
export { UltraCalcFunctionIsErr };
//# sourceMappingURL=UltraCalcFunctionIsErr.js.map