/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { markEnum } from "igniteui-angular-core";
/**
 * Determines whether worksheet rows of columns are sorted within the region
 * @see [[WorksheetSortSettings]]
 * @see [[Worksheet.sortSettings]]
 */
export var WorksheetSortType;
(function (WorksheetSortType) {
    /**
     * Sort rows
     */
    WorksheetSortType[WorksheetSortType["Rows"] = 0] = "Rows";
    /**
     * Sort columns
     */
    WorksheetSortType[WorksheetSortType["Columns"] = 1] = "Columns";
})(WorksheetSortType || (WorksheetSortType = {}));
/**
 * @hidden
 */
export var WorksheetSortType_$type = markEnum('WorksheetSortType', 'Rows,0|Columns,1');
//# sourceMappingURL=WorksheetSortType.js.map