import { Base, Type } from "igniteui-angular-core";
import { ISupportSetProperty } from "./ISupportSetProperty";
import { CT_BaseStyles } from "./CT_BaseStyles";
import { CT_ObjectStyleDefaults } from "./CT_ObjectStyleDefaults";
import { List$1 } from "igniteui-angular-core";
import { CT_ColorSchemeAndMapping } from "./CT_ColorSchemeAndMapping";
import { CT_CustomColor } from "./CT_CustomColor";
import { CT_OfficeArtExtensionList } from "./CT_OfficeArtExtensionList";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
import { ElementPropertyIds } from "./ElementPropertyIds";
/**
 * @hidden
 */
export declare class CT_OfficeStyleSheet extends Base implements ISupportSetProperty {
    static $t: Type;
    private b;
    private d;
    private j;
    private h;
    private f;
    private l;
    constructor();
    a: CT_BaseStyles;
    c: CT_ObjectStyleDefaults;
    i: List$1<CT_ColorSchemeAndMapping>;
    g: List$1<CT_CustomColor>;
    e: CT_OfficeArtExtensionList;
    k: string;
    static n(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static o(a: XmlPartManagerBase, b: string, c?: string): void;
    toString(): string;
    setProperty(a: ElementPropertyIds, b: any): void;
}
