import { Stream, SeekOrigin, Type } from "igniteui-angular-core";
import { CompressionMode } from "./CompressionMode";
/**
 * @hidden
 */
export declare class GZipStream extends Stream {
    static $t: Type;
    private _o;
    private _entryStream;
    constructor(a: Stream, b: CompressionMode);
    readonly _baseStream: Stream;
    protected get_canRead(): boolean;
    readonly canRead: boolean;
    protected get_canSeek(): boolean;
    readonly canSeek: boolean;
    protected get_canWrite(): boolean;
    readonly canWrite: boolean;
    protected get_length(): number;
    readonly length: number;
    protected get_position(): number;
    protected set_position(a: number): void;
    position: number;
    protected disposeCore(a: boolean): void;
    flush(): void;
    read(a: number[], b: number, c: number): number;
    seek(a: number, b: SeekOrigin): number;
    setLength(a: number): void;
    write(a: number[], b: number, c: number): void;
}
