/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { ImagePartManagerBase } from "./ImagePartManagerBase";
import { ImageFormat } from "./ImageFormat";
import { markType } from "igniteui-angular-core";
/**
 * @hidden
 */
var TiffPartManager = /** @class */ (function (_super) {
    tslib_1.__extends(TiffPartManager, _super);
    function TiffPartManager() {
        return _super.call(this) || this;
    }
    TiffPartManager.prototype.get_s = function () {
        return "/xl/media/image.tiff";
    };
    Object.defineProperty(TiffPartManager.prototype, "s", {
        get: function () {
            return this.get_s();
        },
        enumerable: true,
        configurable: true
    });
    TiffPartManager.prototype.get_t = function () {
        return "/ppt/media/image.tiff";
    };
    Object.defineProperty(TiffPartManager.prototype, "t", {
        get: function () {
            return this.get_t();
        },
        enumerable: true,
        configurable: true
    });
    TiffPartManager.prototype.get_u = function () {
        return "/word/media/image.tiff";
    };
    Object.defineProperty(TiffPartManager.prototype, "u", {
        get: function () {
            return this.get_u();
        },
        enumerable: true,
        configurable: true
    });
    TiffPartManager.prototype.get_m = function () {
        return "image/tiff";
    };
    Object.defineProperty(TiffPartManager.prototype, "m", {
        get: function () {
            return this.get_m();
        },
        enumerable: true,
        configurable: true
    });
    TiffPartManager.prototype.r = function (a) {
        return ImageFormat.h;
    };
    TiffPartManager.$t = markType(TiffPartManager, 'TiffPartManager', ImagePartManagerBase.$);
    TiffPartManager.y = new TiffPartManager();
    return TiffPartManager;
}(ImagePartManagerBase));
export { TiffPartManager };
//# sourceMappingURL=TiffPartManager.js.map