import { Base, Nullable$1, Type } from "igniteui-angular-core";
import { ISupportSetProperty } from "./ISupportSetProperty";
import { CT_LineProperties_DML } from "./CT_LineProperties_DML";
import { CT_Cell3D } from "./CT_Cell3D";
import { CT_OfficeArtExtensionList } from "./CT_OfficeArtExtensionList";
import { ST_TextVerticalType } from "./ST_TextVerticalType";
import { ST_TextAnchoringType } from "./ST_TextAnchoringType";
import { ST_TextHorzOverflowType } from "./ST_TextHorzOverflowType";
import { EG_FillProperties } from "./EG_FillProperties";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
import { ElementPropertyIds } from "./ElementPropertyIds";
/**
 * @hidden
 */
export declare class CT_TableCellProperties extends Base implements ISupportSetProperty {
    static $t: Type;
    private h;
    private j;
    private l;
    private d;
    private n;
    private f;
    private b;
    private p;
    private ag;
    private ai;
    private ak;
    private ae;
    private am;
    private aa;
    private z;
    private ac;
    private q;
    constructor();
    g: CT_LineProperties_DML;
    i: CT_LineProperties_DML;
    k: CT_LineProperties_DML;
    c: CT_LineProperties_DML;
    m: CT_LineProperties_DML;
    e: CT_LineProperties_DML;
    a: CT_Cell3D;
    o: CT_OfficeArtExtensionList;
    af: Nullable$1<number>;
    ah: Nullable$1<number>;
    aj: Nullable$1<number>;
    ad: Nullable$1<number>;
    al: Nullable$1<ST_TextVerticalType>;
    x: Nullable$1<ST_TextAnchoringType>;
    y: Nullable$1<boolean>;
    ab: Nullable$1<ST_TextHorzOverflowType>;
    readonly r: EG_FillProperties;
    static ao(a: XmlPartManagerBase, b: Nullable$1<number>, c: Nullable$1<number>, d: Nullable$1<number>, e: Nullable$1<number>, f: Nullable$1<ST_TextVerticalType>, g: Nullable$1<ST_TextAnchoringType>, h: Nullable$1<boolean>, i: Nullable$1<ST_TextHorzOverflowType>): {
        p1: Nullable$1<number>;
        p2: Nullable$1<number>;
        p3: Nullable$1<number>;
        p4: Nullable$1<number>;
        p5: Nullable$1<ST_TextVerticalType>;
        p6: Nullable$1<ST_TextAnchoringType>;
        p7: Nullable$1<boolean>;
        p8: Nullable$1<ST_TextHorzOverflowType>;
    };
    static ap(a: XmlPartManagerBase, b: string, c?: Nullable$1<ST_TextAnchoringType>, d?: Nullable$1<boolean>, e?: Nullable$1<ST_TextHorzOverflowType>, f?: Nullable$1<number>, g?: Nullable$1<number>, h?: Nullable$1<number>, i?: Nullable$1<number>, j?: Nullable$1<ST_TextVerticalType>): void;
    setProperty(a: ElementPropertyIds, b: any): void;
    toString(): string;
}
